
Katello - Bug #18407

Capsule sync UI inaccurately reports progress due to two tasks (sync and publish)

02/06/2017 03:42 PM - Brad Buckingham

Status: New   

Priority: Normal   

Assignee:    

Category: Foreman Proxy Content   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1419196 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1419196

Description of problem:

When a capsule is being synced, the sync and publish tasks are reported as a single task. The progress for a finished sync task is

not reported until the publish task is also finished. When a lot of repositories are being synced onto a capsule at one time, the publish

tasks don't start running until a lot of the sync tasks finish. As a result it looks like no progress is made for a long time.

History

#1 - 02/06/2017 03:43 PM - Brad Buckingham

- Subject changed from Capsule sync UI inaccurately reports progress

 to Capsule sync UI inaccurately reports progress

- Target version set to 163

#2 - 02/08/2017 02:16 PM - Justin Sherrill

- translation missing: en.field_release set to 211

#3 - 02/21/2017 09:20 AM - Brad Buckingham

- Target version changed from 163 to 169

#4 - 03/08/2017 02:49 PM - Justin Sherrill

- Subject changed from Capsule sync UI inaccurately reports progress to Capsule sync UI inaccurately reports progress due to two tasks (sync and

publish)

#5 - 03/08/2017 02:49 PM - Justin Sherrill

- translation missing: en.field_release changed from 211 to 228

#6 - 03/13/2017 08:02 PM - Brad Buckingham

- Target version changed from 169 to 178

#7 - 03/15/2017 03:25 PM - Brad Buckingham

- Target version changed from 178 to 160

#8 - 04/05/2017 11:22 AM - Brad Buckingham

- Priority changed from High to Normal

- translation missing: en.field_release changed from 228 to 114
